Include all notes in issue list csv
Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues list Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

Currently, only the latest note can be output as CSV, but I think that many people need all the notes.

Plugins for that are also being developed. https://github.com/suer/redmine_export_with_journals

History

#1 - 2020-09-28 06:54 - Mizuki ISHIKAWA

In order to implement this feature, we need to think about how to include notes in CSV.

My idea:  

# Tracker Status Priority Subject Assignee Updated Note-# Notes

3 Bug New Normal Private issue

on public

project

09/08/2020

01:40 PM

3 1 test1

3 2 test2

3 3 * test3

* test4

2 Bug New Low Subproject

issue two

09/01/2020

11:27 AM

1 Bug New Low Cannot print

recipes

User name 09/02/2020

11:27 AM

1 1 The quick

brown fox

jumps over

the lazy dog

1 2 Some notes

with

Redmine

links: #2, r2.

I've added a column called Note- # to make note sorting work.

For a issue with the same id: 3, there are 4 lines with 1 line of ticket information + 3 lines of notes.

#2 - 2020-09-28 09:16 - Go MAEDA

Mizuki ISHIKAWA wrote:

In order to implement this feature, we need to think about how to include notes in CSV.

My idea:  

# Tracker Status Priority Subject Assignee Updated Note-# Notes

3 Bug New Normal Private

issue on

public

project

09/08/2020

01:40 PM

3 1 test1

 I think an additional column that represents the user who wrote the note (stored as journals.user_id) is necessary.
#3 - 2020-09-28 09:20 - Go MAEDA

Go MAEDA wrote:

I think an additional column that represents the user who wrote the note (stored as journals.user_id) is necessary.

 And it is better to have journals.created_on and journals.private_notes.

#4 - 2021-09-02 07:22 - Mizuki ISHIKAWA

- File draft.patch added

- File screenshot.2021-09-02-13.59.56.png added

I have created a draft patch for people to try out this feature. I have not written any tests.

If you output CSV from issues list and check "All notes" checkbox, notes related information will be added to CSV.

"All notes" checkbox is available only for CSV output.

 screenshot.2021-09-02-13.59.56.png 

Feedback is very welcome!

#5 - 2022-02-15 08:12 - Mizuki ISHIKAWA

- File feature-34040.patch added

I'm attaching a patch that improves draft.patch.

Once this feature is implemented, it will be possible to easily retrieve note information without using the API.

#6 - 2022-02-15 09:05 - Mizuki ISHIKAWA

- File sample-issues.csv added

I attached is a sample csv that outputs the issues and journal notes created by rake db:fixtures.

#7 - 2022-02-20 08:49 - Go MAEDA

- Target version set to Candidate for next major release

#8 - 2022-08-02 11:45 - Go MAEDA

- File feature-34040-v2.patch added

Updated the patch for the current trunk (r21752).

Files

draft.patch 6.75 KB 2021-09-02 Mizuki ISHIKAWA

screenshot.2021-09-02-13.59.56.png 77.4 KB 2021-09-02 Mizuki ISHIKAWA

feature-34040.patch 11.7 KB 2022-02-15 Mizuki ISHIKAWA

sample-issues.csv 1.13 KB 2022-02-15 Mizuki ISHIKAWA

feature-34040-v2.patch 11.3 KB 2022-08-02 Go MAEDA
